package com.ruoyi.project.invoice.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.invoice.mapper.TInvoiceDeviceMapper;
import com.ruoyi.project.invoice.domain.TInvoiceDevice;
import com.ruoyi.project.invoice.service.ITInvoiceDeviceService;

/**
 * 装置区域管理Service业务层处理
 *
 * @author ruoyi
 * @date 2022-09-06
 */
@Service
public class TInvoiceDeviceServiceImpl implements ITInvoiceDeviceService
{
    @Autowired
    private TInvoiceDeviceMapper tInvoiceDeviceMapper;

    /**
     * 查询装置区域管理
     *
     * @param id 装置区域管理ID
     * @return 装置区域管理
     */
    @Override
    public TInvoiceDevice selectTInvoiceDeviceById(Long id)
    {
        return tInvoiceDeviceMapper.selectTInvoiceDeviceById(id);
    }
    @Override
    public TInvoiceDevice selectRegionalHeadByWorkArea(String workArea)
    {
        return tInvoiceDeviceMapper.selectRegionalHeadByWorkArea(workArea);
    }

    @Override
    public List<TInvoiceDevice> selectAllRegionalHead(TInvoiceDevice tInvoiceDevice)
    {
        return tInvoiceDeviceMapper.selectAllRegionalHead(tInvoiceDevice);
    }

    /**
     * 查询装置区域管理列表
     *
     * @param tInvoiceDevice 装置区域管理
     * @return 装置区域管理
     */
    @Override
    public List<TInvoiceDevice> selectTInvoiceDeviceList(TInvoiceDevice tInvoiceDevice)
    {
        return tInvoiceDeviceMapper.selectTInvoiceDeviceList(tInvoiceDevice);
    }

    /**
     * 新增装置区域管理
     *
     * @param tInvoiceDevice 装置区域管理
     * @return 结果
     */
    @Override
    public int insertTInvoiceDevice(TInvoiceDevice tInvoiceDevice)
    {
        return tInvoiceDeviceMapper.insertTInvoiceDevice(tInvoiceDevice);
    }

    /**
     * 修改装置区域管理
     *
     * @param tInvoiceDevice 装置区域管理
     * @return 结果
     */
    @Override
    public int updateTInvoiceDevice(TInvoiceDevice tInvoiceDevice)
    {
        return tInvoiceDeviceMapper.updateTInvoiceDevice(tInvoiceDevice);
    }

    /**
     * 批量删除装置区域管理
     *
     * @param ids 需要删除的装置区域管理ID
     * @return 结果
     */
    @Override
    public int deleteTInvoiceDeviceByIds(Long[] ids)
    {
        return tInvoiceDeviceMapper.deleteTInvoiceDeviceByIds(ids);
    }

    /**
     * 删除装置区域管理信息
     *
     * @param id 装置区域管理ID
     * @return 结果
     */
    @Override
    public int deleteTInvoiceDeviceById(Long id)
    {
        return tInvoiceDeviceMapper.deleteTInvoiceDeviceById(id);
    }

    /**
     * 查询所有区域下拉列表
     *
     * @param
     * @return 结果
     */
    @Override
    public List<String> selectTInvoiceDeviceAllList() {

        return tInvoiceDeviceMapper.selectTInvoiceDeviceAllList();
    }
}
